Subject: Re: [RFC+PATCH 1/1] Move SCM interoperability tools into scm/

From: Ryan Anderson <[email-masked]>
Date: Sun, 09 Jul 2006 20:24:34 -0700

Junio C Hamano wrote:
> Ryan Anderson <[email-masked]> writes:
>
>   
>> Comments on a way to make the Makefile less repetitive would be
>> appreciated, though.
>>     
>
> One obvious way would be not to have scm/Makefile but have the
> dependencies in the main Makefile to say (the moral equivalent
> of):
>
> 	git-archimport.perl: scm/git-archimport.perl
>   
I think that doing that means I still need to duplicate the  actual
build rules, which is what I was hoping to avoid, as they encode all the
magic "path replacement" logic in multiple places.

On the other hand, I can fix *that*, if I break the ability to run in
the build directory, which is bad in its own way.  (Fixing the tests
should be a matter of adapting the test library slightly, I think.)

For the time being, I'm going with ugly, but less disruptive, and I'm
willing/planning on revisiting it when things shake out a bit more.

-- 

Ryan Anderson
  sometimes Pug Majere